# Definizione dell'array
@array = ("a", "b", "c", 42, $a) ;

# Estrazione degli elementi 1 e 4
@short = @array[0, 3] ;
print "\nNew array: [$short[0], $short[1]]\n" ;

# Concatenazione di array
@long = (@array, @short) ;

# Stampa dei contenuti dell'array
print "\nContenuti dell'array 'long': " ;
for my $num (@long) {
	print "$num - " ;
}
print "\n\n" ;

# Manipolazione degli array
@chars 		= @array[0..2] ;
@sorted 	= sort @array ;
@reversed 	= reverse @array ;
print "Chars: @chars\n" ;
print "Sorted: @sorted\n" ;
print "Reversed: @reversed\n" ;

# Altri esempi e proprietà degli array
print "\nUltimo indice dell'array: $#long\n" ;
print "Lunghezza array (o variabile) vuoto: $#foo\n" ;
print "Interpolazione dell'array: @long\n" ;
print "Interpolazione non voluta: root@localhost\n" ;
print "Evitare l'interpolazione con : root\@localhost\n" ;