# Direttive suggerite
use strict ;
use warnings ;

# Ciclo WHILE (condizione positiva)
my $n = 0 ;
print "\nWhile (1): " ;
while ( $n++ < 10 ) {
	print "$n - " ;
}

# Ciclo UNTIL (condizione negativa)
$n = 0 ;
print "\nUntil (1): " ;
until ( $n++ > 9 ) {
	print "$n - " ;
}

# WHILE per istruzione singola
$n = 0 ;
print "\nWhile (2): " ;
print "$n - " while ( $n++ < 10 ) ;

# UNTIL per istruzione singola
$n = 0 ;
print "\nUntil (2): " ;
print "$n - " until ( $n++ > 9 ) ;

# Ciclo FOR (standard)
print "\nFor (1): " ;
for ($n = 1 ; $n < 11 ; $n++) {
	print "$n - " ;
}

# Ciclo FOR (foreach)
print "\nFor (2): " ;
my @array = (1, 2, 3, 4, 5, 6, 7, 8, 9, 10) ;
for (@array) {
	print "$_ - " ;
}

# Ciclo FOR (istruzione singola)
print "\nFor (3): " ;
print "$_ - " for 1..10 ;

# Ciclo FOR (esempio su hash)
my %romans = ( 10, "X",  100, "C",  1000, "M" ) ;
print "\nFor (4): " ;
for my $key (keys %romans) {
	print "$key => $romans{$key} " ;
}
print "\n" ;