# Direttive suggerite
use strict ;
use warnings ;

# Dichiarazione del modulo Text::CSV_XS 
use Text::CSV_XS ;

# Creazione dell'oggetto fornito dal modulo
my $csvObject = Text::CSV_XS->new() ;

# Opzionale: esempio di selezione del  file da linea di comando
my $file ;
if (defined $ARGV[0]) {
	$file = $ARGV[0] ;
} else {
	$file = "prova.csv" ;
}

# Apertura del file: vedi lezione 10
open(my $data, '<', $file) or die "File non trovato: $file\n" ;

# Lettura del contenuto CSV
my $n = 0 ;
while (my $row = <$data>) {
    chomp $row ;
    if ($csvObject->parse($row)) {
		$n++ ;
        my @columns = $csvObject->fields() ;
        print "$n -> @columns (array di ".@columns." elementi)\n" ;
    } else {
        warn "Errore nella riga: $row\n" ;
    }
} # End of while