# Direttive suggerite
use strict ;
use warnings ;

# Apertura file di output (vedi lezione precedente)
open(my $output	, ">"	, "output.txt"		) 	or die "File non trovato: $!" ;
open(my $append	, ">>"	, "append.txt"		)	or die "File non trovato: $!" ;

# Esempi di scrittura: eseguire più volte questo script per
# evidenziare le differenza tra "output" e "append"
print "\nEsempi di scrittura:\n\n" ;
print "Messaggio su STDOUT (implicito)\n" ;
print STDOUT "Messaggio su STDOUT (esplicito)\n" ;
print STDERR "Messaggio su STDERR (esplicito)\n" ;
print $output "Linea di testo (output)\n" for 1..5 ;
print $append "Linea di testo (append)\n" for 1..5 ;

# Al termine delle operazioni chiudiamo tutti i files
close $output 	or die "$output: $!" ;
close $append	or die "$append: $!" ;