# Direttive suggerite
use strict ;
use warnings ;

# Definizione delle variabili
$_ = "Hello World!" ;
my $var = "Ciao Mondo!" ;
print "\nEsempi di espressioni regolari:\n\n" ;

# Esempi di controllo tramite espressioni regolari
print 'La variabile $var contiene il testo \'Ciao\'' if ($var =~ /Ciao/) ;
print "\n" ;
print 'La variabile $_ contiene il testo \'Hello\'' if (/Hello/) ;
print "\n\n" ;

# Esempi di sostituzione tramite espressioni regolari
$var = "Nel blu dipinto di blu" ;
print "Prima della sostituzione: $var\n" ;
$var =~ s/blu/rosso/g ;
print "Dopo la sostituzione: $var\n" ;
print "\n" ;

# Esempi di validazione di un URL tramite espressioni regolari
# L'espressione regolare qui sotto richiede il pattern DD/MM/YYYY
my $date_1	= "23/03/2007" ;
my $date_2 	= "23-03-2007" ;
if ($date_1 =~ /^[0-9]{1,2}\/[0-9]{1,2}\/[0-9]{4}$/) {
	print "Prima data   : valida" ;
} else {
	print "Prima data   : NON valida" ;
}
print "\n" ;
if ($date_2 =~ /^[0-9]{1,2}\/[0-9]{1,2}\/[0-9]{4}$/) {
	print "Seconda data : valida" ;
} else {
	print "Seconda data : NON valida" ;
}
print "\n" ;